Oct 29, 2020

esxcli software component apply -d /Flings/ESXi701-VMKUSB-NI
C-FLING-40599856-component-17078334.zip
[DependencyError]
Component VMware-vmkusb-nic-fling_2.1-6vmw.701.0.0.40599856 has unmet dependency vmkapi_2_7_0_0 that is not provided by any component in depot.
Component VMware-vmkusb-nic-fling_2.1-6vmw.701.0.0.40599856 has unmet dependency vmkapi_incompat_2_7_0_0 that is not provided by any component in depot.
Please refer to the log file for more details.

I removed the previous 7.0 fling and rebooted, still got this error

Oct 29, 2020

ya...same here :( 5gb QNAP USB with QNA-UC5G1T_FW_3.1.6

Oct 29, 2020

Ok I can confirm that if you create a 7u1 ISO and upgrade to that first, you can then add the latest fling module to it. Key bit of info that is not in the installation instructions

Oct 29, 2020

Going to try a fresh 7u1 install and try again. I have my new Intel NICS as noted earlier so at least can get that to work. Trying to add USB as a separate path for iscsi storage is why I want this to work, at the moment using 1 dual port NIC

Oct 29, 2020

Ok found this in the release notes of 7u1

Installation, Upgrade and Migration Issues

Installation of 7.0 Update 1 drivers on ESXi 7.0 hosts might fail

You cannot install drivers applicable to ESXi 7.0 Update 1 on hosts that run ESXi 7.0 or 7.0b.
The operation fails with an error, such as:
VMW_bootbank_qedrntv_3.40.4.0-12vmw.701.0.0.xxxxxxx requires vmkapi_2_7_0_0, but the requirement cannot be satisfied within the ImageProfile. ​
Please refer to the log file for more details.

Workaround: Update the ESXi host to 7.0 Update 1. Retry the driver installation.